package f1.entity;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public class TeamStatistic {
    private DriverStatistic formal;
    private DriverStatistic sprint;
    private List<String> drivers;
    private int rank;

    @JsonProperty("total_score")
    private int totalScore;

    public TeamStatistic(DriverStatistic formal, DriverStatistic sprint, List<String> drivers, int rank,
            int totalScore) {
        this.formal = formal;
        this.sprint = sprint;
        this.drivers = drivers;
        this.rank = rank;
        this.totalScore = totalScore;
    }

    public DriverStatistic getFormal() {
        return formal;
    }

    public void setFormal(DriverStatistic formal) {
        this.formal = formal;
    }

    public DriverStatistic getSprint() {
        return sprint;
    }

    public void setSprint(DriverStatistic sprint) {
        this.sprint = sprint;
    }

    public List<String> getDrivers() {
        return drivers;
    }

    public void setDrivers(List<String> drivers) {
        this.drivers = drivers;
    }

    public int getRank() {
        return rank;
    }

    public void setRank(int rank) {
        this.rank = rank;
    }

    public int getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(int totalScore) {
        this.totalScore = totalScore;
    }
}
